import requests
url = "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}"
payload = {
"batch": [{ "text": "[{\"role\": \"system\", \"content\": \"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\nGROCERIES, FURNITURE, UNKNOWN\"}, {\"role\": \"user\", \"content\": \"chocolate milk\"}, {\"role\": \"assistant\", \"content\": \"GROCERIES\"}, {\"role\": \"user\", \"content\": \"chocolate table\"}, {\"role\": \"assistant\", \"content\": \"FURNITURE\"}, {\"role\": \"user\", \"content\": \"stone baked pizza\"}]" }],
"useCaseConfig": { "dataType": "json_prompt" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [
{
text: '[{"role": "system", "content": "You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\nGROCERIES, FURNITURE, UNKNOWN"}, {"role": "user", "content": "chocolate milk"}, {"role": "assistant", "content": "GROCERIES"}, {"role": "user", "content": "chocolate table"}, {"role": "assistant", "content": "FURNITURE"}, {"role": "user", "content": "stone baked pizza"}]'
}
],
useCaseConfig: {dataType: 'json_prompt'}
})
};
fetch('https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'text' => '[{"role": "system", "content": "You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\nGROCERIES, FURNITURE, UNKNOWN"}, {"role": "user", "content": "chocolate milk"}, {"role": "assistant", "content": "GROCERIES"}, {"role": "user", "content": "chocolate table"}, {"role": "assistant", "content": "FURNITURE"}, {"role": "user", "content": "stone baked pizza"}]'
]
],
'useCaseConfig' => [
'dataType' => 'json_prompt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"text": "[{\"role\": \"system\", \"content\": \"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\nGROCERIES, FURNITURE, UNKNOWN\"}, {\"role\": \"user\", \"content\": \"chocolate milk\"}, {\"role\": \"assistant\", \"content\": \"GROCERIES\"}, {\"role\": \"user\", \"content\": \"chocolate table\"}, {\"role\": \"assistant\", \"content\": \"FURNITURE\"}, {\"role\": \"user\", \"content\": \"stone baked pizza\"}]"
}
],
"useCaseConfig": {
"dataType": "json_prompt"
}
}
'{
"predictions": [
{
"tokensUsed": {
"promptTokens": 95
},
"prompt": "<|begin_of_text|><|start_header_id|>system<|end_header_id|>\n\nYou are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\nGROCERIES, FURNITURE, UNKNOWN<|eot_id|><|start_header_id|>user<|end_header_id|>\n\nchocolate milk<|eot_id|><|start_header_id|>assistant<|end_header_id|>\n\nGROCERIES<|eot_id|><|start_header_id|>user<|end_header_id|>\n\nchocolate table<|eot_id|><|start_header_id|>assistant<|end_header_id|>\n\nFURNITURE<|eot_id|><|start_header_id|>user<|end_header_id|>\n\nstone baked pizza<|eot_id|><|start_header_id|>assistant<|end_header_id|>\n\n"
}
]
}Passthrough prompt
The prompt request for the passthrough use case and specified generative AI (GenAI) modelId (model name) sends text to return results in formats supported by generative AI (GenAI) models.
import requests
url = "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}"
payload = {
"batch": [{ "text": "[{\"role\": \"system\", \"content\": \"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\nGROCERIES, FURNITURE, UNKNOWN\"}, {\"role\": \"user\", \"content\": \"chocolate milk\"}, {\"role\": \"assistant\", \"content\": \"GROCERIES\"}, {\"role\": \"user\", \"content\": \"chocolate table\"}, {\"role\": \"assistant\", \"content\": \"FURNITURE\"}, {\"role\": \"user\", \"content\": \"stone baked pizza\"}]" }],
"useCaseConfig": { "dataType": "json_prompt" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [
{
text: '[{"role": "system", "content": "You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\nGROCERIES, FURNITURE, UNKNOWN"}, {"role": "user", "content": "chocolate milk"}, {"role": "assistant", "content": "GROCERIES"}, {"role": "user", "content": "chocolate table"}, {"role": "assistant", "content": "FURNITURE"}, {"role": "user", "content": "stone baked pizza"}]'
}
],
useCaseConfig: {dataType: 'json_prompt'}
})
};
fetch('https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"text\": \"[{\\\"role\\\": \\\"system\\\", \\\"content\\\": \\\"You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\\\nGROCERIES, FURNITURE, UNKNOWN\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate milk\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"GROCERIES\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"chocolate table\\\"}, {\\\"role\\\": \\\"assistant\\\", \\\"content\\\": \\\"FURNITURE\\\"}, {\\\"role\\\": \\\"user\\\", \\\"content\\\": \\\"stone baked pizza\\\"}]\"\n }\n ],\n \"useCaseConfig\": {\n \"dataType\": \"json_prompt\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/prompt/passthrough/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'text' => '[{"role": "system", "content": "You are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\nGROCERIES, FURNITURE, UNKNOWN"}, {"role": "user", "content": "chocolate milk"}, {"role": "assistant", "content": "GROCERIES"}, {"role": "user", "content": "chocolate table"}, {"role": "assistant", "content": "FURNITURE"}, {"role": "user", "content": "stone baked pizza"}]'
]
],
'useCaseConfig' => [
'dataType' => 'json_prompt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
application/json
"application/json"
Path Parameters
The generative AI (GenAI) model name.
"llama-3-8b-instruct"
Body
The content sent in the request.
Show child attributes
Show child attributes
NOTE: If both useSystemPrompt and dataType are present, the value in dataType is used.
Show child attributes
Show child attributes
Provides fields and values that specify ranges for tokens. Fields used for specific use cases and models are specified. The default values are used if other values are not specified.
Show child attributes
Show child attributes
Response
OK
- Response: Llama3 Model
- Response: OpenAI Model
- Response: Anthropic Model
Show child attributes
Show child attributes
The Llama3 model response from the request, formatted for the model.
"<|begin_of_text|><|start_header_id|>system<|end_header_id|>\\n\\nYou are a helpful utility program instructed to accomplish a product classififcation task. Please, classify the provided product name into one of the following categories:\\nGROCERIES, FURNITURE, UNKNOWN<|eot_id|><|start_header_id|>user<|end_header_id|>\\n\\nchocolate milk<|eot_id|><|start_header_id|>assistant<|end_header_id|>\\n\\nGROCERIES<|eot_id|><|start_header_id|>user<|end_header_id|>\\n\\nchocolate table<|eot_id|><|start_header_id|>assistant<|end_header_id|>\\n\\nFURNITURE<|eot_id|><|start_header_id|>user<|end_header_id|>\\n\\nstone baked pizza<|eot_id|><|start_header_id|>assistant<|end_header_id|>\\n\\n"
Was this page helpful?